package com.dcsoft.system.service;

import java.util.List;
import com.dcsoft.system.domain.SysPeopleLeave;

/**
 * 离职管理Service接口
 *
 * @author nichun
 * @date 2023-09-09
 */
public interface ISysPeopleLeaveService
{
    /**
     * 查询离职管理
     *
     * @param id 离职管理主键
     * @return 离职管理
     */
    public SysPeopleLeave selectSysPeopleLeaveById(Long id);

    /**
     * 查询离职管理列表
     *
     * @param sysPeopleLeave 离职管理
     * @return 离职管理集合
     */
    public List<SysPeopleLeave> selectSysPeopleLeaveList(SysPeopleLeave sysPeopleLeave);

    /**
     * 新增离职管理
     *
     * @param sysPeopleLeave 离职管理
     * @return 结果
     */
    public int insertSysPeopleLeave(SysPeopleLeave sysPeopleLeave);

    /**
     * 修改离职管理
     *
     * @param sysPeopleLeave 离职管理
     * @return 结果
     */
    public int updateSysPeopleLeave(SysPeopleLeave sysPeopleLeave);

    /**
     * 批量删除离职管理
     *
     * @param ids 需要删除的离职管理主键集合
     * @return 结果
     */
    public int deleteSysPeopleLeaveByIds(Long[] ids);

    /**
     * 删除离职管理信息
     *
     * @param id 离职管理主键
     * @return 结果
     */
    public int deleteSysPeopleLeaveById(Long id);

    /**
     * 离职人员导入
     * @param userList
     * @param updateSupport
     * @param operName
     * @return
     */
    String importPeople(List<SysPeopleLeave> userList, boolean updateSupport, String operName);
}
